| Version: 3.1.5

Public Member Functions | List of all members
wxMessageOutputMessageBox Class Reference
Class List by Category » Logging

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/msgout.h>`

Inheritance diagram for wxMessageOutputMessageBox:
[legend]

## Detailed Description

Output messages by showing them in a message box.

This class is only available to GUI applications, unlike all the other wxMessageOutput-derived classes.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxMessageOutputMessageBox ()
| Default constructor. More...
Public Member Functions inherited from wxMessageOutput
void | Printf (const wxString &format,...)
| Output a message. More...
virtual void | Output (const wxString &str)=0
| Method called by Printf() to really output the text. More...

## Additional Inherited Members
Static Public Member Functions inherited from wxMessageOutput
static wxMessageOutput * | Get ()
| Return the global message output object. More...
static wxMessageOutput * | Set (wxMessageOutput *msgout)
| Sets the global message output object. More...

## Constructor & Destructor Documentation

## ◆ wxMessageOutputMessageBox()

wxMessageOutputMessageBox::wxMessageOutputMessageBox | ( |  | ) |

Default constructor.